> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service returning the daily average temperatures for a weather station. Also returns the associated pictogram

> Service returning the daily average temperatures for a weather station. Also returns the associated pictogram



## OpenAPI

````yaml /api-reference/weather-api.yaml get /sites/{site-id}/daily-weathers
openapi: 3.0.1
info:
  title: weather lifecycle
  description: This API manages the lifecycles of the weather
  termsOfService: ''
  contact:
    email: dev@edelia.fr
  version: 1.0.4
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
tags:
  - name: Weather Stations
paths:
  /sites/{site-id}/daily-weathers:
    get:
      tags:
        - Daily Weathers
      summary: >-
        Service returning the daily average temperatures for a weather station.
        Also returns the associated pictogram
      description: >-
        Service returning the daily average temperatures for a weather station.
        Also returns the associated pictogram
      operationId: siteDailyWeathersGet
      parameters:
        - name: site-id
          in: path
          description: The Edelia site id
          required: true
          schema:
            type: string
        - name: begin-day
          in: query
          description: Begin date (included). ISO8601 (YYYY-MM-DD)
          required: true
          schema:
            type: string
        - name: end-day
          in: query
          description: End date (excluded). ISO8601 (YYYY-MM-DD)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DailyTemperatures'
        '400':
          description: >
            Functional Error</br>

            <table>

            <tr><td><b>Error code</b></td><td><b>Error case</b></td></tr>

            <tr><td>WEATHER_STATION_NOT_FOUND_WITH_ID</td><td>no weather station
            was found for weather-station-id {weatherStationId}</td></tr>

            </table>
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content: {}
        '500':
          description: Technical Error
          content: {}
components:
  schemas:
    DailyTemperatures:
      type: object
      properties:
        day:
          type: string
        picto:
          type: string
        value:
          type: integer
          description: Value of the temperature (°C)
          format: int32
        valueWithDecimal:
          type: number
          description: Value of the temperature with precision (°C)
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code
        errorDescription:
          type: string
          description: The error description

````